with GNATCOM.Dispinterface;

package MSHTML.IHTMLTableCol3_Interface is

   type IHTMLTableCol3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLTableCol3_Type);

   function Pointer (This : IHTMLTableCol3_Type)
     return Pointer_To_IHTMLTableCol3;

   procedure Attach (This    : in out IHTMLTableCol3_Type;
                     Pointer : in     Pointer_To_IHTMLTableCol3);

   procedure Put_ch
     (This : IHTMLTableCol3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_ch
     (This : IHTMLTableCol3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_chOff
     (This : IHTMLTableCol3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_chOff
     (This : IHTMLTableCol3_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLTableCol3_Interface;

